getSupplierQuotesForComparison
READGet supplier quotes for comparison.
POST /api/v1/purchasing/getSupplierQuotesForComparison
curl -X POST '<your-host>/api/v1/purchasing/getSupplierQuotesForComparison' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"purchasingRfqId": "string"
}'Response
{
"quotes": [
{
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customFields": "…",
"exchangeRate": 0,
"exchangeRateUpdatedAt": "string",
"expirationDate": "string",
"externalLinkId": "string",
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"quotedDate": "string",
"revisionId": 0,
"status": "Cancelled",
"supplierContactId": "string",
"supplierId": "string",
"supplierInteractionId": "string",
"supplierLocationId": "string",
"supplierQuoteId": "string",
"supplierQuoteType": "Purchase",
"supplierReference": "string",
"tags": [
"string"
],
"updatedAt": "string",
"updatedBy": "string",
"supplier": {
"accountManagerId": "string",
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customFields": "…",
"defaultCc": [
"string"
],
"fax": "string",
"id": "string",
"intercompanyCompanyId": "string",
"logo": "string",
"name": "string",
"phone": "string",
"purchasingContactId": "string",
"readableId": "string",
"supplierStatus": "Pending",
"supplierTypeId": "string",
"tags": [
"string"
],
"taxPercent": 0,
"updatedAt": "string",
"updatedBy": "string",
"website": "string"
}
}
],
"lines": [
{
"accountId": "string",
"accountName": "string",
"companyId": "string",
"conversionFactor": 0,
"costCenterId": "string",
"createdBy": "string",
"customFields": "…",
"description": "string",
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"inventoryUnitOfMeasureCode": "string",
"itemId": "string",
"itemReadableId": "string",
"itemType": "Part",
"ownerId": "string",
"purchaseUnitOfMeasureCode": "string",
"quantity": [
0
],
"requiredDate": "string",
"sortOrder": 0,
"supplierPartId": "string",
"supplierPartRevision": "string",
"supplierQuoteId": "string",
"supplierQuoteLineType": "string",
"supplierQuoteRevisionId": 0,
"tags": [
"string"
],
"thumbnailPath": "string",
"unitCost": 0,
"updatedAt": "string",
"updatedBy": "string"
}
],
"prices": [
{
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"exchangeRate": 0,
"extendedPrice": 0,
"leadTime": 0,
"quantity": 0,
"shippingCost": 0,
"supplierExtendedPrice": 0,
"supplierQuoteId": "string",
"supplierQuoteLineId": "string",
"supplierShippingCost": 0,
"supplierTaxAmount": 0,
"supplierUnitPrice": 0,
"taxAmount": 0,
"taxPercent": 0,
"unitPrice": 0,
"updatedAt": "string",
"updatedBy": "string"
}
]
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"purchasingRfqId": {
"type": "string"
}
},
"required": [
"purchasingRfqId"
]
}